<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>List Jadwal Asistensi</title>
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">

    <style>
        * {
            box-sizing: border-box;
        }
        ul {
            list-style-type: none;
            width: 100%;
            display: flex;
            flex-wrap: wrap;
        }
        li {
            flex: 0 0 25%;
            border: 1px solid grey;
            padding: 1em;
            display: flex;
            align-items: flex-end;
        }
    </style>
</head>
<body>
<div class="py-5">
    <div class="container">
        <div class="row">
            <div class="text-center mx-auto col-md-12">
                <h1>List Asdos</h1>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 p-1" th:each="asdos: ${listAsdos}">
                <div class="card text-center text-dark">
                    <div class="card-body p-4">

                        <h1 th:text="${asdos.getName()}"></h1>
                        <h3 class="text-left"><b>Jadwal:</b></h3>
                        <ul class="pl-3 text-left">
                            <li>Nama</li>
                            <li>Tanggal</li>
                            <li>Jam</li>
                            <li>Keterangan</li>
                        </ul>
                        <ul class="pl-3 text-left" th:each="jadwal: ${asdos.jadwals}">
                            <li th:text="${jadwal.getTitle()}"></li>
                            <li th:text="${jadwal.getTanggal()}"></li>
                            <li th:text="${jadwal.getJam()}"></li>
                            <li th:href="@{/jadwalasis}">
                                <button class="w3-button w3-green">Accept</button>
                                <button class="w3-button w3-red">Decline</button>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="text-center col-md-12">
                <a th:href="@{/jadwalasis}"><button class="btn btn-outline-primary">Add Another Jadwal</button></a>
            </div>
        </div>
    </div>
</div>

<script src="/webjars/jquery/3.4.1/jquery.min.js"></script>
<script src="/webjars/popper.js/1.16.0/popper.min.js"></script>
<script src="/webjars/bootstrap/4.4.1/js/bootstrap.min.js"></script>
</body>
</html>